diff options
author | hark <hark@puscii.nl> | 2014-01-22 12:59:52 +0000 |
---|---|---|
committer | hark <hark@puscii.nl> | 2014-01-22 12:59:52 +0000 |
commit | 404506a6036ef616921db2222f2180678922526f (patch) | |
tree | 3fe8a99960bced7052864fe6890fa8ddd6e7ab13 | |
parent | d8fb7d3f26d47330a93023cc7ede2963dc733d51 (diff) | |
download | gnunet-gtk-404506a6036ef616921db2222f2180678922526f.tar.gz gnunet-gtk-404506a6036ef616921db2222f2180678922526f.zip |
fix makefiles, delete gnunet-converstation-gtk
-rw-r--r-- | contrib/Makefile.am | 6 | ||||
-rw-r--r-- | contrib/gnunet_conversation_gtk_about_window.glade | 2 | ||||
-rw-r--r-- | src/conversation/.deps/gnunet-conversation-gtk.Po | 8 | ||||
-rw-r--r-- | src/conversation/.deps/gnunet-conversation-gtk_about.Po | 8 | ||||
-rw-r--r-- | src/conversation/Makefile | 795 | ||||
-rwxr-xr-x | src/conversation/gnunet-conversation-gtk | 228 | ||||
-rw-r--r-- | src/conversation/gnunet-conversation-gtk.c | 3 | ||||
-rw-r--r-- | src/conversation/gnunet-conversation-gtk.h | 34 |
8 files changed, 23 insertions, 1061 deletions
diff --git a/contrib/Makefile.am b/contrib/Makefile.am index b3bf0d12..8fb57c31 100644 --- a/contrib/Makefile.am +++ b/contrib/Makefile.am | |||
@@ -73,8 +73,10 @@ pkgdata_DATA = \ | |||
73 | gnunet_namestore_edit_soa.glade \ | 73 | gnunet_namestore_edit_soa.glade \ |
74 | gnunet_namestore_edit_srv.glade \ | 74 | gnunet_namestore_edit_srv.glade \ |
75 | gnunet_namestore_edit_txt.glade \ | 75 | gnunet_namestore_edit_txt.glade \ |
76 | gnunet_namestore_edit_vpn.glade | 76 | gnunet_namestore_edit_vpn.glade \ |
77 | 77 | gnunet_conversation_gtk_about_window.glade \ | |
78 | gnunet_conversation_gtk_main_window.glade | ||
79 | |||
78 | 80 | ||
79 | install-data-local: | 81 | install-data-local: |
80 | $(mkinstalldirs) $(DESTDIR)$(pkgpixdir) | 82 | $(mkinstalldirs) $(DESTDIR)$(pkgpixdir) |
diff --git a/contrib/gnunet_conversation_gtk_about_window.glade b/contrib/gnunet_conversation_gtk_about_window.glade index 63b855af..a884d90f 100644 --- a/contrib/gnunet_conversation_gtk_about_window.glade +++ b/contrib/gnunet_conversation_gtk_about_window.glade | |||
@@ -91,7 +91,7 @@ Daniel Nylander <po@danielnylander.se></property> | |||
91 | <object class="GtkLabel" id="about_name_version_label"> | 91 | <object class="GtkLabel" id="about_name_version_label"> |
92 | <property name="visible">True</property> | 92 | <property name="visible">True</property> |
93 | <property name="can_focus">False</property> | 93 | <property name="can_focus">False</property> |
94 | <property name="label">GNUnet-Peerinfo-GTK r31952</property> | 94 | <property name="label">GNUnet-Peerinfo-GTK r31995</property> |
95 | <attributes> | 95 | <attributes> |
96 | <attribute name="weight" value="bold"/> | 96 | <attribute name="weight" value="bold"/> |
97 | <attribute name="size" value="200"/> | 97 | <attribute name="size" value="200"/> |
diff --git a/src/conversation/.deps/gnunet-conversation-gtk.Po b/src/conversation/.deps/gnunet-conversation-gtk.Po index dc963ff4..c0b4c9d6 100644 --- a/src/conversation/.deps/gnunet-conversation-gtk.Po +++ b/src/conversation/.deps/gnunet-conversation-gtk.Po | |||
@@ -100,6 +100,8 @@ gnunet-conversation-gtk.o: gnunet-conversation-gtk.c \ | |||
100 | /usr/local/include/gnunet/gnunet_network_lib.h \ | 100 | /usr/local/include/gnunet/gnunet_network_lib.h \ |
101 | /usr/local/include/gnunet/gnunet_disk_lib.h \ | 101 | /usr/local/include/gnunet/gnunet_disk_lib.h \ |
102 | /usr/local/include/gnunet/gnunet_configuration_lib.h \ | 102 | /usr/local/include/gnunet/gnunet_configuration_lib.h \ |
103 | /usr/local/include/gcrypt.h /usr/local/include/gpg-error.h \ | ||
104 | /usr/include/x86_64-linux-gnu/sys/time.h \ | ||
103 | /usr/local/include/gnunet/gnunet_bandwidth_lib.h \ | 105 | /usr/local/include/gnunet/gnunet_bandwidth_lib.h \ |
104 | /usr/local/include/gnunet/gnunet_bio_lib.h \ | 106 | /usr/local/include/gnunet/gnunet_bio_lib.h \ |
105 | /usr/local/include/gnunet/gnunet_container_lib.h \ | 107 | /usr/local/include/gnunet/gnunet_container_lib.h \ |
@@ -940,6 +942,12 @@ gnunet-conversation-gtk.o: gnunet-conversation-gtk.c \ | |||
940 | 942 | ||
941 | /usr/local/include/gnunet/gnunet_configuration_lib.h: | 943 | /usr/local/include/gnunet/gnunet_configuration_lib.h: |
942 | 944 | ||
945 | /usr/local/include/gcrypt.h: | ||
946 | |||
947 | /usr/local/include/gpg-error.h: | ||
948 | |||
949 | /usr/include/x86_64-linux-gnu/sys/time.h: | ||
950 | |||
943 | /usr/local/include/gnunet/gnunet_bandwidth_lib.h: | 951 | /usr/local/include/gnunet/gnunet_bandwidth_lib.h: |
944 | 952 | ||
945 | /usr/local/include/gnunet/gnunet_bio_lib.h: | 953 | /usr/local/include/gnunet/gnunet_bio_lib.h: |
diff --git a/src/conversation/.deps/gnunet-conversation-gtk_about.Po b/src/conversation/.deps/gnunet-conversation-gtk_about.Po index 7bd33199..34bebbd0 100644 --- a/src/conversation/.deps/gnunet-conversation-gtk_about.Po +++ b/src/conversation/.deps/gnunet-conversation-gtk_about.Po | |||
@@ -100,6 +100,8 @@ gnunet-conversation-gtk_about.o: gnunet-conversation-gtk_about.c \ | |||
100 | /usr/local/include/gnunet/gnunet_network_lib.h \ | 100 | /usr/local/include/gnunet/gnunet_network_lib.h \ |
101 | /usr/local/include/gnunet/gnunet_disk_lib.h \ | 101 | /usr/local/include/gnunet/gnunet_disk_lib.h \ |
102 | /usr/local/include/gnunet/gnunet_configuration_lib.h \ | 102 | /usr/local/include/gnunet/gnunet_configuration_lib.h \ |
103 | /usr/local/include/gcrypt.h /usr/local/include/gpg-error.h \ | ||
104 | /usr/include/x86_64-linux-gnu/sys/time.h \ | ||
103 | /usr/local/include/gnunet/gnunet_bandwidth_lib.h \ | 105 | /usr/local/include/gnunet/gnunet_bandwidth_lib.h \ |
104 | /usr/local/include/gnunet/gnunet_bio_lib.h \ | 106 | /usr/local/include/gnunet/gnunet_bio_lib.h \ |
105 | /usr/local/include/gnunet/gnunet_container_lib.h \ | 107 | /usr/local/include/gnunet/gnunet_container_lib.h \ |
@@ -927,6 +929,12 @@ gnunet-conversation-gtk_about.o: gnunet-conversation-gtk_about.c \ | |||
927 | 929 | ||
928 | /usr/local/include/gnunet/gnunet_configuration_lib.h: | 930 | /usr/local/include/gnunet/gnunet_configuration_lib.h: |
929 | 931 | ||
932 | /usr/local/include/gcrypt.h: | ||
933 | |||
934 | /usr/local/include/gpg-error.h: | ||
935 | |||
936 | /usr/include/x86_64-linux-gnu/sys/time.h: | ||
937 | |||
930 | /usr/local/include/gnunet/gnunet_bandwidth_lib.h: | 938 | /usr/local/include/gnunet/gnunet_bandwidth_lib.h: |
931 | 939 | ||
932 | /usr/local/include/gnunet/gnunet_bio_lib.h: | 940 | /usr/local/include/gnunet/gnunet_bio_lib.h: |
diff --git a/src/conversation/Makefile b/src/conversation/Makefile deleted file mode 100644 index 02c4734e..00000000 --- a/src/conversation/Makefile +++ /dev/null | |||
@@ -1,795 +0,0 @@ | |||
1 | # Makefile.in generated by automake 1.11.6 from Makefile.am. | ||
2 | # src/conversation/Makefile. Generated from Makefile.in by configure. | ||
3 | |||
4 | # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, | ||
5 | # 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software | ||
6 | # Foundation, Inc. | ||
7 | # This Makefile.in is free software; the Free Software Foundation | ||
8 | # gives unlimited permission to copy and/or distribute it, | ||
9 | # with or without modifications, as long as this notice is preserved. | ||
10 | |||
11 | # This program is distributed in the hope that it will be useful, | ||
12 | # but WITHOUT ANY WARRANTY, to the extent permitted by law; without | ||
13 | # even the implied warranty of MERCHANTABILITY or FITNESS FOR A | ||
14 | # PARTICULAR PURPOSE. | ||
15 | |||
16 | |||
17 | |||
18 | |||
19 | am__make_dryrun = \ | ||
20 | { \ | ||
21 | am__dry=no; \ | ||
22 | case $$MAKEFLAGS in \ | ||
23 | *\\[\ \ ]*) \ | ||
24 | echo 'am--echo: ; @echo "AM" OK' | $(MAKE) -f - 2>/dev/null \ | ||
25 | | grep '^AM OK$$' >/dev/null || am__dry=yes;; \ | ||
26 | *) \ | ||
27 | for am__flg in $$MAKEFLAGS; do \ | ||
28 | case $$am__flg in \ | ||
29 | *=*|--*) ;; \ | ||
30 | *n*) am__dry=yes; break;; \ | ||
31 | esac; \ | ||
32 | done;; \ | ||
33 | esac; \ | ||
34 | test $$am__dry = yes; \ | ||
35 | } | ||
36 | pkgdatadir = $(datadir)/gnunet-gtk | ||
37 | pkgincludedir = $(includedir)/gnunet-gtk | ||
38 | pkglibdir = $(libdir)/gnunet-gtk | ||
39 | pkglibexecdir = $(libexecdir)/gnunet-gtk | ||
40 | am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd | ||
41 | install_sh_DATA = $(install_sh) -c -m 644 | ||
42 | install_sh_PROGRAM = $(install_sh) -c | ||
43 | install_sh_SCRIPT = $(install_sh) -c | ||
44 | INSTALL_HEADER = $(INSTALL_DATA) | ||
45 | transform = $(program_transform_name) | ||
46 | NORMAL_INSTALL = : | ||
47 | PRE_INSTALL = : | ||
48 | POST_INSTALL = : | ||
49 | NORMAL_UNINSTALL = : | ||
50 | PRE_UNINSTALL = : | ||
51 | POST_UNINSTALL = : | ||
52 | build_triplet = x86_64-unknown-linux-gnu | ||
53 | host_triplet = x86_64-unknown-linux-gnu | ||
54 | bin_PROGRAMS = gnunet-conversation-gtk$(EXEEXT) | ||
55 | subdir = src/conversation | ||
56 | DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in | ||
57 | ACLOCAL_M4 = $(top_srcdir)/aclocal.m4 | ||
58 | am__aclocal_m4_deps = $(top_srcdir)/m4/ac_define_dir.m4 \ | ||
59 | $(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/gtk-2.0.m4 \ | ||
60 | $(top_srcdir)/m4/gtk-3.0.m4 $(top_srcdir)/m4/iconv.m4 \ | ||
61 | $(top_srcdir)/m4/isc-posix.m4 $(top_srcdir)/m4/lib-ld.m4 \ | ||
62 | $(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \ | ||
63 | $(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \ | ||
64 | $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \ | ||
65 | $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/nls.m4 \ | ||
66 | $(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/po.m4 \ | ||
67 | $(top_srcdir)/m4/progtest.m4 $(top_srcdir)/configure.ac | ||
68 | am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \ | ||
69 | $(ACLOCAL_M4) | ||
70 | mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs | ||
71 | CONFIG_HEADER = $(top_builddir)/gnunet_gtk_config.h | ||
72 | CONFIG_CLEAN_FILES = | ||
73 | CONFIG_CLEAN_VPATH_FILES = | ||
74 | am__installdirs = "$(DESTDIR)$(bindir)" | ||
75 | PROGRAMS = $(bin_PROGRAMS) | ||
76 | am_gnunet_conversation_gtk_OBJECTS = \ | ||
77 | gnunet-conversation-gtk.$(OBJEXT) \ | ||
78 | gnunet-conversation-gtk_about.$(OBJEXT) | ||
79 | gnunet_conversation_gtk_OBJECTS = \ | ||
80 | $(am_gnunet_conversation_gtk_OBJECTS) | ||
81 | am__DEPENDENCIES_1 = | ||
82 | gnunet_conversation_gtk_DEPENDENCIES = \ | ||
83 | $(top_builddir)/src/lib/libgnunetgtk.la $(am__DEPENDENCIES_1) | ||
84 | AM_V_lt = $(am__v_lt_$(V)) | ||
85 | am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY)) | ||
86 | am__v_lt_0 = --silent | ||
87 | gnunet_conversation_gtk_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \ | ||
88 | $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \ | ||
89 | $(AM_CFLAGS) $(CFLAGS) $(gnunet_conversation_gtk_LDFLAGS) \ | ||
90 | $(LDFLAGS) -o $@ | ||
91 | DEFAULT_INCLUDES = -I. -I$(top_builddir) | ||
92 | depcomp = $(SHELL) $(top_srcdir)/depcomp | ||
93 | am__depfiles_maybe = depfiles | ||
94 | am__mv = mv -f | ||
95 | COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \ | ||
96 | $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) | ||
97 | LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \ | ||
98 | $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \ | ||
99 | $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \ | ||
100 | $(AM_CFLAGS) $(CFLAGS) | ||
101 | AM_V_CC = $(am__v_CC_$(V)) | ||
102 | am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY)) | ||
103 | am__v_CC_0 = @echo " CC " $@; | ||
104 | AM_V_at = $(am__v_at_$(V)) | ||
105 | am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY)) | ||
106 | am__v_at_0 = @ | ||
107 | CCLD = $(CC) | ||
108 | LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \ | ||
109 | $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \ | ||
110 | $(AM_LDFLAGS) $(LDFLAGS) -o $@ | ||
111 | AM_V_CCLD = $(am__v_CCLD_$(V)) | ||
112 | am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY)) | ||
113 | am__v_CCLD_0 = @echo " CCLD " $@; | ||
114 | AM_V_GEN = $(am__v_GEN_$(V)) | ||
115 | am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY)) | ||
116 | am__v_GEN_0 = @echo " GEN " $@; | ||
117 | SOURCES = $(gnunet_conversation_gtk_SOURCES) | ||
118 | DIST_SOURCES = $(gnunet_conversation_gtk_SOURCES) | ||
119 | RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \ | ||
120 | html-recursive info-recursive install-data-recursive \ | ||
121 | install-dvi-recursive install-exec-recursive \ | ||
122 | install-html-recursive install-info-recursive \ | ||
123 | install-pdf-recursive install-ps-recursive install-recursive \ | ||
124 | installcheck-recursive installdirs-recursive pdf-recursive \ | ||
125 | ps-recursive uninstall-recursive | ||
126 | am__can_run_installinfo = \ | ||
127 | case $$AM_UPDATE_INFO_DIR in \ | ||
128 | n|no|NO) false;; \ | ||
129 | *) (install-info --version) >/dev/null 2>&1;; \ | ||
130 | esac | ||
131 | RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \ | ||
132 | distclean-recursive maintainer-clean-recursive | ||
133 | AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \ | ||
134 | $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \ | ||
135 | distdir | ||
136 | ETAGS = etags | ||
137 | CTAGS = ctags | ||
138 | DIST_SUBDIRS = $(SUBDIRS) | ||
139 | DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST) | ||
140 | am__relativize = \ | ||
141 | dir0=`pwd`; \ | ||
142 | sed_first='s,^\([^/]*\)/.*$$,\1,'; \ | ||
143 | sed_rest='s,^[^/]*/*,,'; \ | ||
144 | sed_last='s,^.*/\([^/]*\)$$,\1,'; \ | ||
145 | sed_butlast='s,/*[^/]*$$,,'; \ | ||
146 | while test -n "$$dir1"; do \ | ||
147 | first=`echo "$$dir1" | sed -e "$$sed_first"`; \ | ||
148 | if test "$$first" != "."; then \ | ||
149 | if test "$$first" = ".."; then \ | ||
150 | dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \ | ||
151 | dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \ | ||
152 | else \ | ||
153 | first2=`echo "$$dir2" | sed -e "$$sed_first"`; \ | ||
154 | if test "$$first2" = "$$first"; then \ | ||
155 | dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \ | ||
156 | else \ | ||
157 | dir2="../$$dir2"; \ | ||
158 | fi; \ | ||
159 | dir0="$$dir0"/"$$first"; \ | ||
160 | fi; \ | ||
161 | fi; \ | ||
162 | dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \ | ||
163 | done; \ | ||
164 | reldir="$$dir2" | ||
165 | ACLOCAL = ${SHELL} /home/yids/src/gnunet-gtk/missing --run aclocal-1.11 | ||
166 | AMTAR = $${TAR-tar} | ||
167 | AM_DEFAULT_VERBOSITY = 1 | ||
168 | AR = ar | ||
169 | AS = as | ||
170 | AUTOCONF = ${SHELL} /home/yids/src/gnunet-gtk/missing --run autoconf | ||
171 | AUTOHEADER = ${SHELL} /home/yids/src/gnunet-gtk/missing --run autoheader | ||
172 | AUTOMAKE = ${SHELL} /home/yids/src/gnunet-gtk/missing --run automake-1.11 | ||
173 | AWK = gawk | ||
174 | CC = gcc | ||
175 | CCDEPMODE = depmode=gcc3 | ||
176 | CFLAGS = -fno-strict-aliasing -Wall -g -O2 -pthread -I/usr/include/gtk-3.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/libpng12 | ||
177 | CPP = gcc -E | ||
178 | CPPFLAGS = -pthread -I/usr/include/gtk-3.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/libpng12 | ||
179 | CYGPATH_W = echo | ||
180 | DEFS = -DHAVE_CONFIG_H | ||
181 | DEPDIR = .deps | ||
182 | DLLTOOL = dlltool | ||
183 | DSYMUTIL = | ||
184 | DUMPBIN = | ||
185 | ECHO_C = | ||
186 | ECHO_N = -n | ||
187 | ECHO_T = | ||
188 | EGREP = /bin/grep -E | ||
189 | ENABLE_ON_UNIX = | ||
190 | ENABLE_ON_W32 = # | ||
191 | EXEEXT = | ||
192 | FGREP = /bin/grep -F | ||
193 | GETTEXT_MACRO_VERSION = 0.17 | ||
194 | GLADE_CFLAGS = -pthread -I/usr/include/gtk-3.0 -I/usr/include/libxml2 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/libpng12 -I/usr/include/libgladeui-2.0 | ||
195 | GLADE_LIBS = -lgladeui-2 -lgtk-3 -lxml2 -lgdk-3 -latk-1.0 -lgio-2.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo-gobject -lpango-1.0 -lcairo -lgobject-2.0 -lglib-2.0 | ||
196 | GMSGFMT = /usr/bin/msgfmt | ||
197 | GMSGFMT_015 = /usr/bin/msgfmt | ||
198 | GNUNET_CFLAGS = -I/usr/local/include | ||
199 | GNUNET_CONVERSATION_APP = | ||
200 | GNUNET_FS_APP = fs | ||
201 | GNUNET_FS_GTK_NAME = GNUnet-FS-GTK | ||
202 | GNUNET_FS_GTK_VERSION3 = r31952 | ||
203 | GNUNET_FS_GTK_YEARFROM = 2010 | ||
204 | GNUNET_FS_GTK_YEARTO = 2014 | ||
205 | GNUNET_GNS_GTK_NAME = GNUnet-GNS-GTK | ||
206 | GNUNET_LIBS = -L/usr/local/lib -lgnunetutil | ||
207 | GNUNET_PEERINFO_GTK_NAME = GNUnet-Peerinfo-GTK | ||
208 | GNUNET_PEERINFO_GTK_VERSION3 = r31952 | ||
209 | GNUNET_PEERINFO_GTK_YEARFROM = 2010 | ||
210 | GNUNET_PEERINFO_GTK_YEARTO = 2014 | ||
211 | GNUNET_SETUP_APP = setup | ||
212 | GNUNET_SETUP_GTK_NAME = GNUnet-Setup | ||
213 | GNUNET_SETUP_GTK_VERSION3 = r31952 | ||
214 | GNUNET_SETUP_GTK_YEARFROM = 2010 | ||
215 | GNUNET_SETUP_GTK_YEARTO = 2014 | ||
216 | GNUNET_STATISTICS_GTK_NAME = GNUnet-Statistics-GTK | ||
217 | GNUNET_STATISTICS_GTK_VERSION3 = r31952 | ||
218 | GNUNET_STATISTICS_GTK_YEARFROM = 2010 | ||
219 | GNUNET_STATISTICS_GTK_YEARTO = 2014 | ||
220 | GN_LIB_LDFLAGS = -export-dynamic -no-undefined | ||
221 | GN_PLUGIN_LDFLAGS = -export-dynamic -avoid-version -module -no-undefined | ||
222 | GREP = /bin/grep | ||
223 | GTK_CFLAGS = -pthread -I/usr/include/gtk-3.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/libpng12 | ||
224 | GTK_LIBS = -lgtk-3 -lgdk-3 -latk-1.0 -lgio-2.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo-gobject -lpango-1.0 -lcairo -lgobject-2.0 -lglib-2.0 | ||
225 | INSTALL = /usr/bin/install -c | ||
226 | INSTALL_DATA = ${INSTALL} -m 644 | ||
227 | INSTALL_PROGRAM = ${INSTALL} | ||
228 | INSTALL_SCRIPT = ${INSTALL} | ||
229 | INSTALL_STRIP_PROGRAM = $(install_sh) -c -s | ||
230 | INTLLIBS = | ||
231 | INTL_MACOSX_LIBS = | ||
232 | LD = /usr/bin/ld -m elf_x86_64 | ||
233 | LDFLAGS = | ||
234 | LIBICONV = -liconv | ||
235 | LIBINTL = | ||
236 | LIBOBJS = | ||
237 | LIBS = -lgtk-3 -lgdk-3 -latk-1.0 -lgio-2.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo-gobject -lpango-1.0 -lcairo -lgobject-2.0 -lglib-2.0 | ||
238 | LIBTOOL = $(SHELL) $(top_builddir)/libtool | ||
239 | LIPO = | ||
240 | LN_S = ln -s | ||
241 | LTLIBICONV = -liconv | ||
242 | LTLIBINTL = | ||
243 | LTLIBOBJS = | ||
244 | MAKEINFO = ${SHELL} /home/yids/src/gnunet-gtk/missing --run makeinfo | ||
245 | MANIFEST_TOOL = : | ||
246 | MKDIR_P = /bin/mkdir -p | ||
247 | MSGFMT = /usr/bin/msgfmt | ||
248 | MSGFMT_015 = /usr/bin/msgfmt | ||
249 | MSGMERGE = /usr/bin/msgmerge | ||
250 | NM = /usr/bin/nm -B | ||
251 | NMEDIT = | ||
252 | OBJDUMP = objdump | ||
253 | OBJEXT = o | ||
254 | OTOOL = | ||
255 | OTOOL64 = | ||
256 | PACKAGE = gnunet-gtk | ||
257 | PACKAGE_BUGREPORT = bug-gnunet@gnu.org | ||
258 | PACKAGE_DATA = /usr/local/share | ||
259 | PACKAGE_NAME = GNUnet GTK | ||
260 | PACKAGE_STRING = GNUnet GTK r31952 | ||
261 | PACKAGE_TARNAME = gnunet-gtk | ||
262 | PACKAGE_URL = | ||
263 | PACKAGE_VERSION = r31952 | ||
264 | PATH_SEPARATOR = : | ||
265 | PKG_CONFIG = /usr/bin/pkg-config | ||
266 | POSUB = po | ||
267 | QR_CFLAGS = | ||
268 | QR_LIBS = -lqrencode | ||
269 | RANLIB = ranlib | ||
270 | SED = /bin/sed | ||
271 | SET_MAKE = | ||
272 | SHELL = /bin/bash | ||
273 | STRIP = strip | ||
274 | USE_NLS = yes | ||
275 | VERSION = r31952 | ||
276 | XGETTEXT = /usr/bin/xgettext | ||
277 | XGETTEXT_015 = /usr/bin/xgettext | ||
278 | XGETTEXT_EXTRA_OPTIONS = | ||
279 | abs_builddir = /home/yids/src/gnunet-gtk/src/conversation | ||
280 | abs_srcdir = /home/yids/src/gnunet-gtk/src/conversation | ||
281 | abs_top_builddir = /home/yids/src/gnunet-gtk | ||
282 | abs_top_srcdir = /home/yids/src/gnunet-gtk | ||
283 | ac_ct_AR = ar | ||
284 | ac_ct_CC = gcc | ||
285 | ac_ct_DUMPBIN = | ||
286 | am__include = include | ||
287 | am__leading_dot = . | ||
288 | am__quote = | ||
289 | am__tar = $${TAR-tar} chof - "$$tardir" | ||
290 | am__untar = $${TAR-tar} xf - | ||
291 | bindir = ${exec_prefix}/bin | ||
292 | build = x86_64-unknown-linux-gnu | ||
293 | build_alias = | ||
294 | build_cpu = x86_64 | ||
295 | build_os = linux-gnu | ||
296 | build_vendor = unknown | ||
297 | builddir = . | ||
298 | datadir = ${datarootdir} | ||
299 | datarootdir = ${prefix}/share | ||
300 | docdir = ${datarootdir}/doc/${PACKAGE_TARNAME} | ||
301 | dvidir = ${docdir} | ||
302 | exec_prefix = ${prefix} | ||
303 | host = x86_64-unknown-linux-gnu | ||
304 | host_alias = | ||
305 | host_cpu = x86_64 | ||
306 | host_os = linux-gnu | ||
307 | host_vendor = unknown | ||
308 | htmldir = ${docdir} | ||
309 | includedir = ${prefix}/include | ||
310 | infodir = ${datarootdir}/info | ||
311 | install_sh = ${SHELL} /home/yids/src/gnunet-gtk/install-sh | ||
312 | libdir = ${exec_prefix}/lib | ||
313 | libexecdir = ${exec_prefix}/libexec | ||
314 | localedir = ${datarootdir}/locale | ||
315 | localstatedir = ${prefix}/var | ||
316 | mandir = ${datarootdir}/man | ||
317 | mkdir_p = /bin/mkdir -p | ||
318 | oldincludedir = /usr/include | ||
319 | pdfdir = ${docdir} | ||
320 | prefix = /usr/local | ||
321 | program_transform_name = s,x,x, | ||
322 | psdir = ${docdir} | ||
323 | sbindir = ${exec_prefix}/sbin | ||
324 | sharedstatedir = ${prefix}/com | ||
325 | srcdir = . | ||
326 | sysconfdir = ${prefix}/etc | ||
327 | target_alias = | ||
328 | top_build_prefix = ../../ | ||
329 | top_builddir = ../.. | ||
330 | top_srcdir = ../.. | ||
331 | unique_CFLAGS = -pthread -I/usr/include/gtk-3.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/libpng12 -I/usr/include/unique-3.0 | ||
332 | unique_LIBS = -lunique-3.0 -lgtk-3 -lgdk-3 -latk-1.0 -lgio-2.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo-gobject -lpango-1.0 -lcairo -lgobject-2.0 -lglib-2.0 | ||
333 | SUBDIRS = . | ||
334 | INCLUDES = \ | ||
335 | -I$(top_srcdir)/ \ | ||
336 | -I$(top_srcdir)/src/include \ | ||
337 | -pthread -I/usr/include/gtk-3.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/libpng12 \ | ||
338 | -I/usr/local/include \ | ||
339 | -pthread -I/usr/include/gtk-3.0 -I/usr/include/libxml2 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/libpng12 -I/usr/include/libgladeui-2.0 | ||
340 | |||
341 | gnunet_conversation_gtk_SOURCES = \ | ||
342 | gnunet-conversation-gtk.c \ | ||
343 | gnunet-conversation-gtk_about.c | ||
344 | |||
345 | gnunet_conversation_gtk_LDADD = \ | ||
346 | $(top_builddir)/src/lib/libgnunetgtk.la \ | ||
347 | -lgtk-3 -lgdk-3 -latk-1.0 -lgio-2.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo-gobject -lpango-1.0 -lcairo -lgobject-2.0 -lglib-2.0 \ | ||
348 | -lgladeui-2 -lgtk-3 -lxml2 -lgdk-3 -latk-1.0 -lgio-2.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo-gobject -lpango-1.0 -lcairo -lgobject-2.0 -lglib-2.0 -L/usr/local/lib -lgnunetutil \ | ||
349 | -lgnunetutil -lgnunetidentity -lgnunetconversation -lgnunetspeaker -lgnunetmicrophone -lgnunetgns -lgnunetfs -lextractor \ | ||
350 | $(INTLLIBS) | ||
351 | |||
352 | gnunet_conversation_gtk_LDFLAGS = \ | ||
353 | -export-dynamic | ||
354 | |||
355 | all: all-recursive | ||
356 | |||
357 | .SUFFIXES: | ||
358 | .SUFFIXES: .c .lo .o .obj | ||
359 | $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps) | ||
360 | @for dep in $?; do \ | ||
361 | case '$(am__configure_deps)' in \ | ||
362 | *$$dep*) \ | ||
363 | ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \ | ||
364 | && { if test -f $@; then exit 0; else break; fi; }; \ | ||
365 | exit 1;; \ | ||
366 | esac; \ | ||
367 | done; \ | ||
368 | echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu src/conversation/Makefile'; \ | ||
369 | $(am__cd) $(top_srcdir) && \ | ||
370 | $(AUTOMAKE) --gnu src/conversation/Makefile | ||
371 | .PRECIOUS: Makefile | ||
372 | Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status | ||
373 | @case '$?' in \ | ||
374 | *config.status*) \ | ||
375 | cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \ | ||
376 | *) \ | ||
377 | echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \ | ||
378 | cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \ | ||
379 | esac; | ||
380 | |||
381 | $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES) | ||
382 | cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh | ||
383 | |||
384 | $(top_srcdir)/configure: $(am__configure_deps) | ||
385 | cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh | ||
386 | $(ACLOCAL_M4): $(am__aclocal_m4_deps) | ||
387 | cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh | ||
388 | $(am__aclocal_m4_deps): | ||
389 | install-binPROGRAMS: $(bin_PROGRAMS) | ||
390 | @$(NORMAL_INSTALL) | ||
391 | @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \ | ||
392 | if test -n "$$list"; then \ | ||
393 | echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \ | ||
394 | $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \ | ||
395 | fi; \ | ||
396 | for p in $$list; do echo "$$p $$p"; done | \ | ||
397 | sed 's/$(EXEEXT)$$//' | \ | ||
398 | while read p p1; do if test -f $$p || test -f $$p1; \ | ||
399 | then echo "$$p"; echo "$$p"; else :; fi; \ | ||
400 | done | \ | ||
401 | sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \ | ||
402 | -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \ | ||
403 | sed 'N;N;N;s,\n, ,g' | \ | ||
404 | $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \ | ||
405 | { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \ | ||
406 | if ($$2 == $$4) files[d] = files[d] " " $$1; \ | ||
407 | else { print "f", $$3 "/" $$4, $$1; } } \ | ||
408 | END { for (d in files) print "f", d, files[d] }' | \ | ||
409 | while read type dir files; do \ | ||
410 | if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \ | ||
411 | test -z "$$files" || { \ | ||
412 | echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \ | ||
413 | $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \ | ||
414 | } \ | ||
415 | ; done | ||
416 | |||
417 | uninstall-binPROGRAMS: | ||
418 | @$(NORMAL_UNINSTALL) | ||
419 | @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \ | ||
420 | files=`for p in $$list; do echo "$$p"; done | \ | ||
421 | sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \ | ||
422 | -e 's/$$/$(EXEEXT)/' `; \ | ||
423 | test -n "$$list" || exit 0; \ | ||
424 | echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \ | ||
425 | cd "$(DESTDIR)$(bindir)" && rm -f $$files | ||
426 | |||
427 | clean-binPROGRAMS: | ||
428 | @list='$(bin_PROGRAMS)'; test -n "$$list" || exit 0; \ | ||
429 | echo " rm -f" $$list; \ | ||
430 | rm -f $$list || exit $$?; \ | ||
431 | test -n "$(EXEEXT)" || exit 0; \ | ||
432 | list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \ | ||
433 | echo " rm -f" $$list; \ | ||
434 | rm -f $$list | ||
435 | gnunet-conversation-gtk$(EXEEXT): $(gnunet_conversation_gtk_OBJECTS) $(gnunet_conversation_gtk_DEPENDENCIES) $(EXTRA_gnunet_conversation_gtk_DEPENDENCIES) | ||
436 | @rm -f gnunet-conversation-gtk$(EXEEXT) | ||
437 | $(AM_V_CCLD)$(gnunet_conversation_gtk_LINK) $(gnunet_conversation_gtk_OBJECTS) $(gnunet_conversation_gtk_LDADD) $(LIBS) | ||
438 | |||
439 | mostlyclean-compile: | ||
440 | -rm -f *.$(OBJEXT) | ||
441 | |||
442 | distclean-compile: | ||
443 | -rm -f *.tab.c | ||
444 | |||
445 | include ./$(DEPDIR)/gnunet-conversation-gtk.Po | ||
446 | include ./$(DEPDIR)/gnunet-conversation-gtk_about.Po | ||
447 | |||
448 | .c.o: | ||
449 | $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $< | ||
450 | $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po | ||
451 | # $(AM_V_CC)source='$<' object='$@' libtool=no \ | ||
452 | # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \ | ||
453 | # $(AM_V_CC_no)$(COMPILE) -c $< | ||
454 | |||
455 | .c.obj: | ||
456 | $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'` | ||
457 | $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po | ||
458 | # $(AM_V_CC)source='$<' object='$@' libtool=no \ | ||
459 | # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \ | ||
460 | # $(AM_V_CC_no)$(COMPILE) -c `$(CYGPATH_W) '$<'` | ||
461 | |||
462 | .c.lo: | ||
463 | $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $< | ||
464 | $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo | ||
465 | # $(AM_V_CC)source='$<' object='$@' libtool=yes \ | ||
466 | # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \ | ||
467 | # $(AM_V_CC_no)$(LTCOMPILE) -c -o $@ $< | ||
468 | |||
469 | mostlyclean-libtool: | ||
470 | -rm -f *.lo | ||
471 | |||
472 | clean-libtool: | ||
473 | -rm -rf .libs _libs | ||
474 | |||
475 | # This directory's subdirectories are mostly independent; you can cd | ||
476 | # into them and run `make' without going through this Makefile. | ||
477 | # To change the values of `make' variables: instead of editing Makefiles, | ||
478 | # (1) if the variable is set in `config.status', edit `config.status' | ||
479 | # (which will cause the Makefiles to be regenerated when you run `make'); | ||
480 | # (2) otherwise, pass the desired values on the `make' command line. | ||
481 | $(RECURSIVE_TARGETS): | ||
482 | @fail= failcom='exit 1'; \ | ||
483 | for f in x $$MAKEFLAGS; do \ | ||
484 | case $$f in \ | ||
485 | *=* | --[!k]*);; \ | ||
486 | *k*) failcom='fail=yes';; \ | ||
487 | esac; \ | ||
488 | done; \ | ||
489 | dot_seen=no; \ | ||
490 | target=`echo $@ | sed s/-recursive//`; \ | ||
491 | list='$(SUBDIRS)'; for subdir in $$list; do \ | ||
492 | echo "Making $$target in $$subdir"; \ | ||
493 | if test "$$subdir" = "."; then \ | ||
494 | dot_seen=yes; \ | ||
495 | local_target="$$target-am"; \ | ||
496 | else \ | ||
497 | local_target="$$target"; \ | ||
498 | fi; \ | ||
499 | ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \ | ||
500 | || eval $$failcom; \ | ||
501 | done; \ | ||
502 | if test "$$dot_seen" = "no"; then \ | ||
503 | $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \ | ||
504 | fi; test -z "$$fail" | ||
505 | |||
506 | $(RECURSIVE_CLEAN_TARGETS): | ||
507 | @fail= failcom='exit 1'; \ | ||
508 | for f in x $$MAKEFLAGS; do \ | ||
509 | case $$f in \ | ||
510 | *=* | --[!k]*);; \ | ||
511 | *k*) failcom='fail=yes';; \ | ||
512 | esac; \ | ||
513 | done; \ | ||
514 | dot_seen=no; \ | ||
515 | case "$@" in \ | ||
516 | distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \ | ||
517 | *) list='$(SUBDIRS)' ;; \ | ||
518 | esac; \ | ||
519 | rev=''; for subdir in $$list; do \ | ||
520 | if test "$$subdir" = "."; then :; else \ | ||
521 | rev="$$subdir $$rev"; \ | ||
522 | fi; \ | ||
523 | done; \ | ||
524 | rev="$$rev ."; \ | ||
525 | target=`echo $@ | sed s/-recursive//`; \ | ||
526 | for subdir in $$rev; do \ | ||
527 | echo "Making $$target in $$subdir"; \ | ||
528 | if test "$$subdir" = "."; then \ | ||
529 | local_target="$$target-am"; \ | ||
530 | else \ | ||
531 | local_target="$$target"; \ | ||
532 | fi; \ | ||
533 | ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \ | ||
534 | || eval $$failcom; \ | ||
535 | done && test -z "$$fail" | ||
536 | tags-recursive: | ||
537 | list='$(SUBDIRS)'; for subdir in $$list; do \ | ||
538 | test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \ | ||
539 | done | ||
540 | ctags-recursive: | ||
541 | list='$(SUBDIRS)'; for subdir in $$list; do \ | ||
542 | test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \ | ||
543 | done | ||
544 | |||
545 | ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES) | ||
546 | list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \ | ||
547 | unique=`for i in $$list; do \ | ||
548 | if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \ | ||
549 | done | \ | ||
550 | $(AWK) '{ files[$$0] = 1; nonempty = 1; } \ | ||
551 | END { if (nonempty) { for (i in files) print i; }; }'`; \ | ||
552 | mkid -fID $$unique | ||
553 | tags: TAGS | ||
554 | |||
555 | TAGS: tags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \ | ||
556 | $(TAGS_FILES) $(LISP) | ||
557 | set x; \ | ||
558 | here=`pwd`; \ | ||
559 | if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \ | ||
560 | include_option=--etags-include; \ | ||
561 | empty_fix=.; \ | ||
562 | else \ | ||
563 | include_option=--include; \ | ||
564 | empty_fix=; \ | ||
565 | fi; \ | ||
566 | list='$(SUBDIRS)'; for subdir in $$list; do \ | ||
567 | if test "$$subdir" = .; then :; else \ | ||
568 | test ! -f $$subdir/TAGS || \ | ||
569 | set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \ | ||
570 | fi; \ | ||
571 | done; \ | ||
572 | list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \ | ||
573 | unique=`for i in $$list; do \ | ||
574 | if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \ | ||
575 | done | \ | ||
576 | $(AWK) '{ files[$$0] = 1; nonempty = 1; } \ | ||
577 | END { if (nonempty) { for (i in files) print i; }; }'`; \ | ||
578 | shift; \ | ||
579 | if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \ | ||
580 | test -n "$$unique" || unique=$$empty_fix; \ | ||
581 | if test $$# -gt 0; then \ | ||
582 | $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \ | ||
583 | "$$@" $$unique; \ | ||
584 | else \ | ||
585 | $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \ | ||
586 | $$unique; \ | ||
587 | fi; \ | ||
588 | fi | ||
589 | ctags: CTAGS | ||
590 | CTAGS: ctags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \ | ||
591 | $(TAGS_FILES) $(LISP) | ||
592 | list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \ | ||
593 | unique=`for i in $$list; do \ | ||
594 | if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \ | ||
595 | done | \ | ||
596 | $(AWK) '{ files[$$0] = 1; nonempty = 1; } \ | ||
597 | END { if (nonempty) { for (i in files) print i; }; }'`; \ | ||
598 | test -z "$(CTAGS_ARGS)$$unique" \ | ||
599 | || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \ | ||
600 | $$unique | ||
601 | |||
602 | GTAGS: | ||
603 | here=`$(am__cd) $(top_builddir) && pwd` \ | ||
604 | && $(am__cd) $(top_srcdir) \ | ||
605 | && gtags -i $(GTAGS_ARGS) "$$here" | ||
606 | |||
607 | distclean-tags: | ||
608 | -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags | ||
609 | |||
610 | distdir: $(DISTFILES) | ||
611 | @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \ | ||
612 | topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \ | ||
613 | list='$(DISTFILES)'; \ | ||
614 | dist_files=`for file in $$list; do echo $$file; done | \ | ||
615 | sed -e "s|^$$srcdirstrip/||;t" \ | ||
616 | -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \ | ||
617 | case $$dist_files in \ | ||
618 | */*) $(MKDIR_P) `echo "$$dist_files" | \ | ||
619 | sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \ | ||
620 | sort -u` ;; \ | ||
621 | esac; \ | ||
622 | for file in $$dist_files; do \ | ||
623 | if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \ | ||
624 | if test -d $$d/$$file; then \ | ||
625 | dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \ | ||
626 | if test -d "$(distdir)/$$file"; then \ | ||
627 | find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \ | ||
628 | fi; \ | ||
629 | if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \ | ||
630 | cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \ | ||
631 | find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \ | ||
632 | fi; \ | ||
633 | cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \ | ||
634 | else \ | ||
635 | test -f "$(distdir)/$$file" \ | ||
636 | || cp -p $$d/$$file "$(distdir)/$$file" \ | ||
637 | || exit 1; \ | ||
638 | fi; \ | ||
639 | done | ||
640 | @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \ | ||
641 | if test "$$subdir" = .; then :; else \ | ||
642 | $(am__make_dryrun) \ | ||
643 | || test -d "$(distdir)/$$subdir" \ | ||
644 | || $(MKDIR_P) "$(distdir)/$$subdir" \ | ||
645 | || exit 1; \ | ||
646 | dir1=$$subdir; dir2="$(distdir)/$$subdir"; \ | ||
647 | $(am__relativize); \ | ||
648 | new_distdir=$$reldir; \ | ||
649 | dir1=$$subdir; dir2="$(top_distdir)"; \ | ||
650 | $(am__relativize); \ | ||
651 | new_top_distdir=$$reldir; \ | ||
652 | echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \ | ||
653 | echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \ | ||
654 | ($(am__cd) $$subdir && \ | ||
655 | $(MAKE) $(AM_MAKEFLAGS) \ | ||
656 | top_distdir="$$new_top_distdir" \ | ||
657 | distdir="$$new_distdir" \ | ||
658 | am__remove_distdir=: \ | ||
659 | am__skip_length_check=: \ | ||
660 | am__skip_mode_fix=: \ | ||
661 | distdir) \ | ||
662 | || exit 1; \ | ||
663 | fi; \ | ||
664 | done | ||
665 | check-am: all-am | ||
666 | check: check-recursive | ||
667 | all-am: Makefile $(PROGRAMS) | ||
668 | installdirs: installdirs-recursive | ||
669 | installdirs-am: | ||
670 | for dir in "$(DESTDIR)$(bindir)"; do \ | ||
671 | test -z "$$dir" || $(MKDIR_P) "$$dir"; \ | ||
672 | done | ||
673 | install: install-recursive | ||
674 | install-exec: install-exec-recursive | ||
675 | install-data: install-data-recursive | ||
676 | uninstall: uninstall-recursive | ||
677 | |||
678 | install-am: all-am | ||
679 | @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am | ||
680 | |||
681 | installcheck: installcheck-recursive | ||
682 | install-strip: | ||
683 | if test -z '$(STRIP)'; then \ | ||
684 | $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \ | ||
685 | install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \ | ||
686 | install; \ | ||
687 | else \ | ||
688 | $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \ | ||
689 | install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \ | ||
690 | "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \ | ||
691 | fi | ||
692 | mostlyclean-generic: | ||
693 | |||
694 | clean-generic: | ||
695 | |||
696 | distclean-generic: | ||
697 | -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES) | ||
698 | -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES) | ||
699 | |||
700 | maintainer-clean-generic: | ||
701 | @echo "This command is intended for maintainers to use" | ||
702 | @echo "it deletes files that may require special tools to rebuild." | ||
703 | clean: clean-recursive | ||
704 | |||
705 | clean-am: clean-binPROGRAMS clean-generic clean-libtool mostlyclean-am | ||
706 | |||
707 | distclean: distclean-recursive | ||
708 | -rm -rf ./$(DEPDIR) | ||
709 | -rm -f Makefile | ||
710 | distclean-am: clean-am distclean-compile distclean-generic \ | ||
711 | distclean-tags | ||
712 | |||
713 | dvi: dvi-recursive | ||
714 | |||
715 | dvi-am: | ||
716 | |||
717 | html: html-recursive | ||
718 | |||
719 | html-am: | ||
720 | |||
721 | info: info-recursive | ||
722 | |||
723 | info-am: | ||
724 | |||
725 | install-data-am: | ||
726 | |||
727 | install-dvi: install-dvi-recursive | ||
728 | |||
729 | install-dvi-am: | ||
730 | |||
731 | install-exec-am: install-binPROGRAMS | ||
732 | |||
733 | install-html: install-html-recursive | ||
734 | |||
735 | install-html-am: | ||
736 | |||
737 | install-info: install-info-recursive | ||
738 | |||
739 | install-info-am: | ||
740 | |||
741 | install-man: | ||
742 | |||
743 | install-pdf: install-pdf-recursive | ||
744 | |||
745 | install-pdf-am: | ||
746 | |||
747 | install-ps: install-ps-recursive | ||
748 | |||
749 | install-ps-am: | ||
750 | |||
751 | installcheck-am: | ||
752 | |||
753 | maintainer-clean: maintainer-clean-recursive | ||
754 | -rm -rf ./$(DEPDIR) | ||
755 | -rm -f Makefile | ||
756 | maintainer-clean-am: distclean-am maintainer-clean-generic | ||
757 | |||
758 | mostlyclean: mostlyclean-recursive | ||
759 | |||
760 | mostlyclean-am: mostlyclean-compile mostlyclean-generic \ | ||
761 | mostlyclean-libtool | ||
762 | |||
763 | pdf: pdf-recursive | ||
764 | |||
765 | pdf-am: | ||
766 | |||
767 | ps: ps-recursive | ||
768 | |||
769 | ps-am: | ||
770 | |||
771 | uninstall-am: uninstall-binPROGRAMS | ||
772 | |||
773 | .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) ctags-recursive \ | ||
774 | install-am install-strip tags-recursive | ||
775 | |||
776 | .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \ | ||
777 | all all-am check check-am clean clean-binPROGRAMS \ | ||
778 | clean-generic clean-libtool ctags ctags-recursive distclean \ | ||
779 | distclean-compile distclean-generic distclean-libtool \ | ||
780 | distclean-tags distdir dvi dvi-am html html-am info info-am \ | ||
781 | install install-am install-binPROGRAMS install-data \ | ||
782 | install-data-am install-dvi install-dvi-am install-exec \ | ||
783 | install-exec-am install-html install-html-am install-info \ | ||
784 | install-info-am install-man install-pdf install-pdf-am \ | ||
785 | install-ps install-ps-am install-strip installcheck \ | ||
786 | installcheck-am installdirs installdirs-am maintainer-clean \ | ||
787 | maintainer-clean-generic mostlyclean mostlyclean-compile \ | ||
788 | mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \ | ||
789 | tags tags-recursive uninstall uninstall-am \ | ||
790 | uninstall-binPROGRAMS | ||
791 | |||
792 | |||
793 | # Tell versions [3.59,3.63) of GNU make to not export all variables. | ||
794 | # Otherwise a system limit (for SysV at least) may be exceeded. | ||
795 | .NOEXPORT: | ||
diff --git a/src/conversation/gnunet-conversation-gtk b/src/conversation/gnunet-conversation-gtk deleted file mode 100755 index 11569428..00000000 --- a/src/conversation/gnunet-conversation-gtk +++ /dev/null | |||
@@ -1,228 +0,0 @@ | |||
1 | #! /bin/bash | ||
2 | |||
3 | # gnunet-conversation-gtk - temporary wrapper script for .libs/gnunet-conversation-gtk | ||
4 | # Generated by libtool (GNU libtool) 2.4.2 Debian-2.4.2-1.1 | ||
5 | # | ||
6 | # The gnunet-conversation-gtk program cannot be directly executed until all the libtool | ||
7 | # libraries that it depends on are installed. | ||
8 | # | ||
9 | # This wrapper script should never be moved out of the build directory. | ||
10 | # If it is, it will not operate correctly. | ||
11 | |||
12 | # Sed substitution that helps us do robust quoting. It backslashifies | ||
13 | # metacharacters that are still active within double-quoted strings. | ||
14 | sed_quote_subst='s/\([`"$\\]\)/\\\1/g' | ||
15 | |||
16 | # Be Bourne compatible | ||
17 | if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then | ||
18 | emulate sh | ||
19 | NULLCMD=: | ||
20 | # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which | ||
21 | # is contrary to our usage. Disable this feature. | ||
22 | alias -g '${1+"$@"}'='"$@"' | ||
23 | setopt NO_GLOB_SUBST | ||
24 | else | ||
25 | case `(set -o) 2>/dev/null` in *posix*) set -o posix;; esac | ||
26 | fi | ||
27 | BIN_SH=xpg4; export BIN_SH # for Tru64 | ||
28 | DUALCASE=1; export DUALCASE # for MKS sh | ||
29 | |||
30 | # The HP-UX ksh and POSIX shell print the target directory to stdout | ||
31 | # if CDPATH is set. | ||
32 | (unset CDPATH) >/dev/null 2>&1 && unset CDPATH | ||
33 | |||
34 | relink_command="(cd /home/yids/src/gnunet-gtk/src/conversation; { test -z \"\${LIBRARY_PATH+set}\" || unset LIBRARY_PATH || { LIBRARY_PATH=; export LIBRARY_PATH; }; }; { test -z \"\${COMPILER_PATH+set}\" || unset COMPILER_PATH || { COMPILER_PATH=; export COMPILER_PATH; }; }; { test -z \"\${GCC_EXEC_PREFIX+set}\" || unset GCC_EXEC_PREFIX || { GCC_EXEC_PREFIX=; export GCC_EXEC_PREFIX; }; }; { test -z \"\${LD_RUN_PATH+set}\" || unset LD_RUN_PATH || { LD_RUN_PATH=; export LD_RUN_PATH; }; }; { test -z \"\${LD_LIBRARY_PATH+set}\" || unset LD_LIBRARY_PATH || { LD_LIBRARY_PATH=; export LD_LIBRARY_PATH; }; }; PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games; export PATH; gcc -fno-strict-aliasing -Wall -g -O2 -pthread -I/usr/include/gtk-3.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/libpng12 -o \$progdir/\$file gnunet-conversation-gtk.o gnunet-conversation-gtk_about.o -Wl,--export-dynamic ../../src/lib/.libs/libgnunetgtk.so -lgladeui-2 -lxml2 -L/usr/local/lib /usr/local/lib/libgnunetutil.so /usr/local/lib/libgnunetidentity.so /usr/local/lib/libgnunetconversation.so /usr/local/lib/libgnunetspeaker.so /usr/local/lib/libgnunetmicrophone.so /usr/local/lib/libgnunetgns.so /usr/local/lib/libgnunetfs.so -lextractor -lgtk-3 -lgdk-3 -latk-1.0 -lgio-2.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 /usr/lib/x86_64-linux-gnu/libcairo-gobject.so -lpango-1.0 /usr/lib/x86_64-linux-gnu/libcairo.so -lgobject-2.0 -lglib-2.0 -pthread -Wl,-rpath -Wl,/home/yids/src/gnunet-gtk/src/lib/.libs)" | ||
35 | |||
36 | # This environment variable determines our operation mode. | ||
37 | if test "$libtool_install_magic" = "%%%MAGIC variable%%%"; then | ||
38 | # install mode needs the following variables: | ||
39 | generated_by_libtool_version='2.4.2' | ||
40 | notinst_deplibs=' ../../src/lib/libgnunetgtk.la' | ||
41 | else | ||
42 | # When we are sourced in execute mode, $file and $ECHO are already set. | ||
43 | if test "$libtool_execute_magic" != "%%%MAGIC variable%%%"; then | ||
44 | file="$0" | ||
45 | |||
46 | # A function that is used when there is no print builtin or printf. | ||
47 | func_fallback_echo () | ||
48 | { | ||
49 | eval 'cat <<_LTECHO_EOF | ||
50 | $1 | ||
51 | _LTECHO_EOF' | ||
52 | } | ||
53 | ECHO="printf %s\\n" | ||
54 | fi | ||
55 | |||
56 | # Very basic option parsing. These options are (a) specific to | ||
57 | # the libtool wrapper, (b) are identical between the wrapper | ||
58 | # /script/ and the wrapper /executable/ which is used only on | ||
59 | # windows platforms, and (c) all begin with the string --lt- | ||
60 | # (application programs are unlikely to have options which match | ||
61 | # this pattern). | ||
62 | # | ||
63 | # There are only two supported options: --lt-debug and | ||
64 | # --lt-dump-script. There is, deliberately, no --lt-help. | ||
65 | # | ||
66 | # The first argument to this parsing function should be the | ||
67 | # script's ../../libtool value, followed by no. | ||
68 | lt_option_debug= | ||
69 | func_parse_lt_options () | ||
70 | { | ||
71 | lt_script_arg0=$0 | ||
72 | shift | ||
73 | for lt_opt | ||
74 | do | ||
75 | case "$lt_opt" in | ||
76 | --lt-debug) lt_option_debug=1 ;; | ||
77 | --lt-dump-script) | ||
78 | lt_dump_D=`$ECHO "X$lt_script_arg0" | /bin/sed -e 's/^X//' -e 's%/[^/]*$%%'` | ||
79 | test "X$lt_dump_D" = "X$lt_script_arg0" && lt_dump_D=. | ||
80 | lt_dump_F=`$ECHO "X$lt_script_arg0" | /bin/sed -e 's/^X//' -e 's%^.*/%%'` | ||
81 | cat "$lt_dump_D/$lt_dump_F" | ||
82 | exit 0 | ||
83 | ;; | ||
84 | --lt-*) | ||
85 | $ECHO "Unrecognized --lt- option: '$lt_opt'" 1>&2 | ||
86 | exit 1 | ||
87 | ;; | ||
88 | esac | ||
89 | done | ||
90 | |||
91 | # Print the debug banner immediately: | ||
92 | if test -n "$lt_option_debug"; then | ||
93 | echo "gnunet-conversation-gtk:gnunet-conversation-gtk:${LINENO}: libtool wrapper (GNU libtool) 2.4.2 Debian-2.4.2-1.1" 1>&2 | ||
94 | fi | ||
95 | } | ||
96 | |||
97 | # Used when --lt-debug. Prints its arguments to stdout | ||
98 | # (redirection is the responsibility of the caller) | ||
99 | func_lt_dump_args () | ||
100 | { | ||
101 | lt_dump_args_N=1; | ||
102 | for lt_arg | ||
103 | do | ||
104 | $ECHO "gnunet-conversation-gtk:gnunet-conversation-gtk:${LINENO}: newargv[$lt_dump_args_N]: $lt_arg" | ||
105 | lt_dump_args_N=`expr $lt_dump_args_N + 1` | ||
106 | done | ||
107 | } | ||
108 | |||
109 | # Core function for launching the target application | ||
110 | func_exec_program_core () | ||
111 | { | ||
112 | |||
113 | if test -n "$lt_option_debug"; then | ||
114 | $ECHO "gnunet-conversation-gtk:gnunet-conversation-gtk:${LINENO}: newargv[0]: $progdir/$program" 1>&2 | ||
115 | func_lt_dump_args ${1+"$@"} 1>&2 | ||
116 | fi | ||
117 | exec "$progdir/$program" ${1+"$@"} | ||
118 | |||
119 | $ECHO "$0: cannot exec $program $*" 1>&2 | ||
120 | exit 1 | ||
121 | } | ||
122 | |||
123 | # A function to encapsulate launching the target application | ||
124 | # Strips options in the --lt-* namespace from $@ and | ||
125 | # launches target application with the remaining arguments. | ||
126 | func_exec_program () | ||
127 | { | ||
128 | case " $* " in | ||
129 | *\ --lt-*) | ||
130 | for lt_wr_arg | ||
131 | do | ||
132 | case $lt_wr_arg in | ||
133 | --lt-*) ;; | ||
134 | *) set x "$@" "$lt_wr_arg"; shift;; | ||
135 | esac | ||
136 | shift | ||
137 | done ;; | ||
138 | esac | ||
139 | func_exec_program_core ${1+"$@"} | ||
140 | } | ||
141 | |||
142 | # Parse options | ||
143 | func_parse_lt_options "$0" ${1+"$@"} | ||
144 | |||
145 | # Find the directory that this script lives in. | ||
146 | thisdir=`$ECHO "$file" | /bin/sed 's%/[^/]*$%%'` | ||
147 | test "x$thisdir" = "x$file" && thisdir=. | ||
148 | |||
149 | # Follow symbolic links until we get to the real thisdir. | ||
150 | file=`ls -ld "$file" | /bin/sed -n 's/.*-> //p'` | ||
151 | while test -n "$file"; do | ||
152 | destdir=`$ECHO "$file" | /bin/sed 's%/[^/]*$%%'` | ||
153 | |||
154 | # If there was a directory component, then change thisdir. | ||
155 | if test "x$destdir" != "x$file"; then | ||
156 | case "$destdir" in | ||
157 | [\\/]* | [A-Za-z]:[\\/]*) thisdir="$destdir" ;; | ||
158 | *) thisdir="$thisdir/$destdir" ;; | ||
159 | esac | ||
160 | fi | ||
161 | |||
162 | file=`$ECHO "$file" | /bin/sed 's%^.*/%%'` | ||
163 | file=`ls -ld "$thisdir/$file" | /bin/sed -n 's/.*-> //p'` | ||
164 | done | ||
165 | |||
166 | # Usually 'no', except on cygwin/mingw when embedded into | ||
167 | # the cwrapper. | ||
168 | WRAPPER_SCRIPT_BELONGS_IN_OBJDIR=no | ||
169 | if test "$WRAPPER_SCRIPT_BELONGS_IN_OBJDIR" = "yes"; then | ||
170 | # special case for '.' | ||
171 | if test "$thisdir" = "."; then | ||
172 | thisdir=`pwd` | ||
173 | fi | ||
174 | # remove .libs from thisdir | ||
175 | case "$thisdir" in | ||
176 | *[\\/].libs ) thisdir=`$ECHO "$thisdir" | /bin/sed 's%[\\/][^\\/]*$%%'` ;; | ||
177 | .libs ) thisdir=. ;; | ||
178 | esac | ||
179 | fi | ||
180 | |||
181 | # Try to get the absolute directory name. | ||
182 | absdir=`cd "$thisdir" && pwd` | ||
183 | test -n "$absdir" && thisdir="$absdir" | ||
184 | |||
185 | program=lt-'gnunet-conversation-gtk' | ||
186 | progdir="$thisdir/.libs" | ||
187 | |||
188 | if test ! -f "$progdir/$program" || | ||
189 | { file=`ls -1dt "$progdir/$program" "$progdir/../$program" 2>/dev/null | /bin/sed 1q`; \ | ||
190 | test "X$file" != "X$progdir/$program"; }; then | ||
191 | |||
192 | file="$$-$program" | ||
193 | |||
194 | if test ! -d "$progdir"; then | ||
195 | mkdir "$progdir" | ||
196 | else | ||
197 | rm -f "$progdir/$file" | ||
198 | fi | ||
199 | |||
200 | # relink executable if necessary | ||
201 | if test -n "$relink_command"; then | ||
202 | if relink_command_output=`eval $relink_command 2>&1`; then : | ||
203 | else | ||
204 | printf %s\n "$relink_command_output" >&2 | ||
205 | rm -f "$progdir/$file" | ||
206 | exit 1 | ||
207 | fi | ||
208 | fi | ||
209 | |||
210 | mv -f "$progdir/$file" "$progdir/$program" 2>/dev/null || | ||
211 | { rm -f "$progdir/$program"; | ||
212 | mv -f "$progdir/$file" "$progdir/$program"; } | ||
213 | rm -f "$progdir/$file" | ||
214 | fi | ||
215 | |||
216 | if test -f "$progdir/$program"; then | ||
217 | if test "$libtool_execute_magic" != "%%%MAGIC variable%%%"; then | ||
218 | # Run the actual program with our arguments. | ||
219 | func_exec_program ${1+"$@"} | ||
220 | fi | ||
221 | else | ||
222 | # The program doesn't exist. | ||
223 | $ECHO "$0: error: \`$progdir/$program' does not exist" 1>&2 | ||
224 | $ECHO "This script is just a wrapper for $program." 1>&2 | ||
225 | $ECHO "See the libtool documentation for more information." 1>&2 | ||
226 | exit 1 | ||
227 | fi | ||
228 | fi | ||
diff --git a/src/conversation/gnunet-conversation-gtk.c b/src/conversation/gnunet-conversation-gtk.c index 1ded8a4c..f05eabe1 100644 --- a/src/conversation/gnunet-conversation-gtk.c +++ b/src/conversation/gnunet-conversation-gtk.c | |||
@@ -21,7 +21,8 @@ | |||
21 | /** | 21 | /** |
22 | * @file src/conversation/gnunet-conversation-gtk.c | 22 | * @file src/conversation/gnunet-conversation-gtk.c |
23 | * @brief Main function of gnunet-conversation-gtk | 23 | * @brief Main function of gnunet-conversation-gtk |
24 | * @author hark and yids | 24 | * @author yids |
25 | * @author hark | ||
25 | */ | 26 | */ |
26 | #include "gnunet_gtk.h" | 27 | #include "gnunet_gtk.h" |
27 | #include "gtk/gtk.h" | 28 | #include "gtk/gtk.h" |
diff --git a/src/conversation/gnunet-conversation-gtk.h b/src/conversation/gnunet-conversation-gtk.h index 98a29900..8e75a8ae 100644 --- a/src/conversation/gnunet-conversation-gtk.h +++ b/src/conversation/gnunet-conversation-gtk.h | |||
@@ -270,40 +270,6 @@ struct GNUNET_CRYPTO_EcdsaPublicKey pubkey; | |||
270 | 270 | ||
271 | 271 | ||
272 | 272 | ||
273 | /** | ||
274 | * gui stuff | ||
275 | */ | ||
276 | |||
277 | /* | ||
278 | void update_state(); | ||
279 | void update_status (const gchar *message); | ||
280 | void set_button_text (const char *button_name, const char *label); | ||
281 | void disable_button (const char *button_name); | ||
282 | void enable_button (const char *button_name); | ||
283 | void show_infobar ( ); | ||
284 | void hide_infobar ( ); | ||
285 | void set_infobar_text (const gchar *text); | ||
286 | void log_message (const char *message); | ||
287 | void GNUNET_CONVERSATION_GTK_on_call_clicked (); | ||
288 | void GNUNET_CONVERSATION_GTK_on_hangup_clicked (); | ||
289 | void GNUNET_CONVERSATION_GTK_on_accept_clicked (); | ||
290 | void GNUNET_CONVERSATION_GTK_on_reject_clicked (); | ||
291 | void GNUNET_CONVERSATION_GTK_on_pause_clicked (); | ||
292 | void GNUNET_CONVERSATION_GTK_on_resume_clicked (); | ||
293 | void GNUNET_CONVERSATION_GTK_on_status_clicked (); | ||
294 | */ | ||
295 | /** | ||
296 | * phone stuff | ||
297 | */ | ||
298 | /* | ||
299 | static void do_call (const char *); | ||
300 | static void do_accept (const char *); | ||
301 | static void do_status (const char *); | ||
302 | static void do_suspend (const char *); | ||
303 | static void do_resume (const char *); | ||
304 | static void do_reject (const char *); | ||
305 | */ | ||
306 | |||
307 | /* | 273 | /* |
308 | * List iterator for the 'list' operation. | 274 | * List iterator for the 'list' operation. |
309 | */ | 275 | */ |